# class HistoryProvider | Basic class to manage a history of "items". More...
Full name | `KParts::HistoryProvider`
Definition | `#include <historyprovider.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- HistoryProvider ( QObject *parent = 0L, const char *name = 0 )
- virtual ~HistoryProvider ()
- virtual bool contains ( const QString& item ) const
- virtual void insert ( const QString& item )
- virtual void remove ( const QString& item )
- virtual void clear ()

#### Signals

- void cleared ()
- void updated ( const QStringList& items )

#### Public Static Methods

- static HistoryProvider * self ()

## Detailed Description

Basic class to manage a history of "items". This class is only meant for fast lookup, if an item is in the history or not.

May be subclassed to implement a persistent history for example. For usage with khtml, just create your provider and call the HistoryProvider constructor _before_ you do any khtml stuff. That way, khtml, using the self()-method, will use your subclassed provider.

HistoryProvider * self () | ### self

[static]

HistoryProvider ( QObject *parent = 0L, const char *name = 0 ) | ### HistoryProvider

Creates a KHistoryProvider with an optional parent and name

~HistoryProvider () | ### ~HistoryProvider

[virtual]

Destroys the provider.

bool contains ( const QString& item ) | ### contains

[const virtual]

Returns: true if `item` is present in the history.

void insert ( const QString& item ) | ### insert

[virtual]

Inserts `item` into the history.

void remove ( const QString& item ) | ### remove

[virtual]

Removes `item` from the history.

void clear () | ### clear

[virtual]

Clears the history. The cleared() signal is emitted after clearing.

void cleared () | ### cleared

[signal]

Emitted after the history has been cleared.

void updated ( const QStringList& items ) | ### updated

[signal]

This signal is never emitted from this class, it is only meant as an interface for subclasses. Emit this signal to notify others that the history has changed. Put those items that were added or removed from the history into `items`.

- Author: Carsten Pfeiffer <pfeiffer@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:48 2001, using kdoc 2.0a53.